Subject: Re: [PATCH] Make sure an autogenerated version has at least four parts

From: Martin Waitz <[email-masked]>
Date: Fri, 25 May 2007 11:47:43 +0200

hoi :)

On Fri, May 25, 2007 at 01:33:21PM +1200, Sam Vilain wrote:
> Martin Waitz wrote:
> > On Mon, May 21, 2007 at 02:52:21PM +1200, Sam Vilain wrote:
> >> Otherwise, a custom "v1.5.2.42.gd00b" is considered newer than a
> >> "v1.5.2.1.69.gcafe".
> > 
> > or just use git describe output without replacing "-" with "."?
> 
> dpkg uses "-" in version numbers for its own uses - to delimit the
> packager's packaging version from the software version.

But you can also have "-" in the upstream version without problems.
Only the last "-" is used as deliminator and therefore the Debian
version part must not contain a "-"; it's no problem for the upstream
part.

> The change I posted keeps original behaviour - just fills out the
> .0's.
> Perhaps the munging should go in git-describe instead?

If we want to be able to separate the software version as it is defined
by the project maintainer from the additional Git information we should
do so with a clear separator, not by changing the software version.

Maybe have some Makefile magic which creates a nice version,
but interpreting and changing the tagged version in git-describe sounds
wrong to me.

-- 
Martin Waitz